package com.gic.haoban.manage.service.service.fee;

import java.util.List;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeOrder;

/**
 * 企业微信收费订单(TabHaobanQywxFeeOrder)表服务接口
 *
 * @author mozhu
 * @since 2022-08-03 16:12:33
 */
public interface HaobanQywxFeeOrderService {

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeOrder 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeOrder insert(TabHaobanQywxFeeOrder tabHaobanQywxFeeOrder);

    /**
     * 购买许可总数
     *
     * @param wxEnterpriseId wx企业标识
     * @return int
     * @author mozhu
     * @date 2022-08-05 11:17:43
     */
    int countExternalContactCount(String wxEnterpriseId);

    
    /**
     * 
    * @Title: listOrder
    * @Description: 查询订单
    * @author xugh
    * @param wxEnterpriseId
    * @return
    * @throws
     */
    List<TabHaobanQywxFeeOrder> listOrder(String wxEnterpriseId) ;

    TabHaobanQywxFeeOrder selectByOrderId(String wxEnterpriseId,String orderId);


    void refund(Long feeOrderId ,String wxEnterpriseId , String orderId) ;

    void qywxAppOverTimer(String params);
}
